@echo off 
Set nombrePrograma=main
Set crt=crt0_rom
echo ------------------------------------------
echo     Compilando el programa "%nombrePrograma%"
echo       author: MSX claro pijo 2020
echo ------------------------------------------

rem 1.Pasamos el crt.asm a crt.rel
sdasz80 -l -o %crt%.s
rem 2.compilamos nuestro programa c con el ensamblador embebido
sdcc -mz80 --no-std-crt0 --code-loc 0x4020 --data-loc 0xC000 %crt%.rel %nombrePrograma%.c 
rem 3. Creamos el binario para MSX con el programa hex2bin
hex2bin -e rom %nombrePrograma%.ihx 

rem 4.Añadimos la cabecera para el MSX
rem copy /b %nombrePrograma%.bin /b %nombrePrograma%.rom

rem 4.Lo rellenamos de bytes hasta 32768 (32Kb)
fillfile %nombrePrograma%.rom 32768 

rem 5.Despues de crear el archivo emul_start_config.txt abrimos el openMSX
rem en los archivos .bat se crean las constantes con set
rem Esta es mi ruta donde tengo mi openMSX, si lo has instalado lo tendrás en C:\Program Files\openMSX\openmsx.exe
Set rutaOpenMSX=C:\Users\Casa\Desktop\openmsx-0.15.0-windows-vc-x64-bin\openmsx.exe
Set rutaScriptOpenMSX=openMSX\emul_start_config.txt
Set procesoOpenMSX=openmsx.exe
rem tasklist muestra una lista de procesos que se está ejecutando en el equipo, por favor pon tasklist /? en el cmd
rem find busca una cadena ed texto en uno o más archivos, por favor pon find /? en el cmd
tasklist | find /i "%procesoOpenMSX%">nul  && ( echo %procesoOpenMSX% openMSX ya esta arrancado) || start %rutaOpenMSX% -script %rutaScriptOpenMSX% 
rem start %rutaOpenMSX% -script %rutaScriptOpenMSX% 

rem 6.creando una carpeta para mover nuestros recursos
If not exist .\resources md .\resources
rem le ponemos el nombre a nuestro programa

rem lo movemos a resources, por favor pon move /? o @move /? en el cmd
move %nombrePrograma%.asm ./resources
move %nombrePrograma%.bin ./resources
move %nombrePrograma%.ihx ./resources
move %nombrePrograma%.lk ./resources
move %nombrePrograma%.lst ./resources
move %nombrePrograma%.map ./resources
move %nombrePrograma%.noi ./resources
move %nombrePrograma%.rel ./resources
move %nombrePrograma%.sym ./resources


